Problema instalando gspca para correr WebCam en ubuntu 11.10

Imagen de jotathebest
0 puntos

Cordial saludo a toda la comunidad, tengo un problema con la instalación del gspca en ubuntu 11.10 para hacer andar mi camara web, he mirado los foros y no me ha funcionado nada, no sé si es por la version nueva del kernel.

En fin les dejó reseñas de todo lo que he hecho.

1. primero esto es lo que me arroja $lsusb

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 0c45:60c0 Microdia PC Camera with Mic (SN9C105)
Bus 004 Device 003: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse

2.intente usar el comando sudo apt-get install gspca-source pero me arroja lo siguiente:

Leyendo listas de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se ha podido localizar el paquete gspca-source

3. Bajé el archivo directamente de la pagina oficial del proyecto: http://mxhaard.free.fr/download.html , lo descomprimí y copie en el directorio usr/src/drivers/media/video reemplazando la carpeta gspca por la carpeta descargada, seguidamente use el comando $sudo make y $sudo make install y me arroja los siguientes resultados:

make -C /lib/modules/`uname -r`/build SUBDIRS=/usr/src/modules/gspcav1-20071224 CC=cc modules
make[1]: se ingresa al directorio «/usr/src/linux-headers-3.0.0-12-generic»
CC [M] /usr/src/modules/gspcav1-20071224/gspca_core.o
/usr/src/modules/gspcav1-20071224/gspca_core.c:37:26: error fatal: linux/config.h: No existe el archivo o el directorio
compilación terminada.
make[2]: *** [/usr/src/modules/gspcav1-20071224/gspca_core.o] Error 1
make[1]: *** [_module_/usr/src/modules/gspcav1-20071224] Error 2
make[1]: se sale del directorio «/usr/src/linux-headers-3.0.0-12-generic»
make: *** [default] Error 2

Por favor si alguen sabe que puedo hacer le agradeceria, la verdad ya estoy desesperado jaja, no se si es q estos drivers no trabajan bajo el nuevo kernel de ubuntu :s

Muchas gracias por la ayuda que me puedan brindar.

Imagen de sunt
+1
0
-1

Hola, yo uso Ubuntu 11.04 y obtengo los mismos resultados que tu, no hay manera de instalar gspca, por lo que he visto en versiones anteriores se podía instalar desde synaptic, incluso he añadio repositorios de Debian, pero no hay manera ni desde la terminal ni desde el instalador de paquetes, si encuentro algo ya lo posteo por aquí.
Un saludo

+1
0
-1
Imagen de niquitonipongo
+1
0
-1

Buenas tardes.
De la siguiente dirección (http://moinejf.free.fr/) os bajais el archivo comprimido gspca-2.14.2.tar.gz.
Luego lo descomprimis y, mediante consola, "make" y "sudo make install".
Con el archivo que habeis utilizado, en la 10.04 me daba el mismo error, y con este que os digo, la cámara funciona.
A ver si lo conseguis.

Un saludo.

+1
0
-1
Imagen de rickyvelasc
+1
0
-1

niquitonipongo en donde esta esa cosa de bajar no lo encuentro

+1
0
-1
Imagen de sunt
+1
0
-1

Hola niquitonipongo, he probado con el nuevo driver y te pongo los resultados que me salen ahora, el caso es que ayer me pareció que se instalaba pero no los copié. Todo sigue igual.
xxxx@xxxx:~/Descargas/gspca-2.14.2$ make
make -C /lib/modules/2.6.38-12-generic/build M=/home/xxxx/Descargas/gspca-2.14.2/build modules
make[1]: se ingresa al directorio «/usr/src/linux-headers-2.6.38-12-generic»
Building modules, stage 2.
MODPOST 46 modules
make[1]: se sale del directorio «/usr/src/linux-headers-2.6.38-12-generic»
Un saludo

+1
0
-1
Imagen de jotathebest
+1
0
-1

Hola niquitonipongo, intenté lo que planteas pero me arroja lo siguiente:

make -C /lib/modules/2.6.35-30-generic/build M=/build modules
make[1]: se ingresa al directorio «/usr/src/linux-headers-2.6.35-30-generic»
scripts/Makefile.build:44: /build/Makefile: No existe el fichero o el directorio
make[2]: *** No hay ninguna regla para construir el objetivo «/build/Makefile». Alto.
make[1]: *** [_module_/build] Error 2
make[1]: se sale del directorio «/usr/src/linux-headers-2.6.35-30-generic»
make: *** [modules] Error 2

aun no sirve :(

+1
0
-1
Imagen de niquitonipongo
+1
0
-1

Que tal, buenas tardes.

Creo, aun que no os lo puedo confirmar, que os falta algun paquete para poder compilar el driver,como pudieran ser "build-essential", y otros como "gcc", o los "linux-headers" correspondientes a vuestro kernel.
Mirad a ver si haciendo antes de make un "./configure" os indica que paquete/s os pueden faltar.

Un saludo.

+1
0
-1
Imagen de sunt
+1
0
-1

Hola niquitonipongo, tengo instalados todo lo que dices, ./configure me devuelve, bash: ./configure: No existe el fichero ó directorio
Y haciendo sudo make install
xxx@xxx:~/Descargas/gspca-2.14.2$ sudo make install
[sudo] password for xxx:
rm -f /lib/modules/2.6.38-12-generic/kernel/drivers/media/video/gspca/gspca*.ko /lib/modules/2.6.38-12-generic/kernel/drivers/media/video/gspca/*/gspca*.ko \
/lib/modules/2.6.38-12-generic/kernel/drivers/media/video/gspca/gspca*.gz /lib/modules/2.6.38-12-generic/kernel/drivers/media/video/gspca/*/gspca*.gz; \
install -c -m 0644 build/*.ko /lib/modules/2.6.38-12-generic/kernel/drivers/media/video/gspca/; \
depmod

No sé lo que significa, mi problema es que no tengo ni idea de lo que estoy haciendo, poco a poco voy aprendiendo algo, hasta hace 15 días usaba windows.

Gracias por el interés

+1
0
-1
Imagen de niquitonipongo
+1
0
-1

Que tal, buenos días.

Pues que ya están instalados los drivers en tu kernel.
Mediante "rm -f", se borran cualequiera drivers que tuvieras instalados anteriormente en el kernel. Lo que sigue a continuacion es la intalacion de los mismos en dicho kernel.

Si quieres comprobarlo, vete, en modo gráfico a /lib/modules/2.6.38-12-generic/kernel/drivers/media/video, y alli encontrarás todas las carpetas y drivers ya compilados para las diferentes webcams que soporta la instalacion que has efectuado.

Si tienes instalado cheese podrás probar la cámara.

Un saludo.

+1
0
-1
Imagen de sunt
+1
0
-1

Buenas niquitonipongo, acabo de entrar donde me dices y efectivamente allí está todo pero sigue sin funcionar, si no te importa pásate por este hilo http://www.ubuntu-es.org/node/162271 en el cual yo había preguntado porque no podía abrir dev/video0 a ver si puedo ir aclarando lo que pasa con la webcam.
Muchas gracias

+1
0
-1
Imagen de niquitonipongo
+1
0
-1

Que hay , buenas tardes.
¡Ufff!, estas cámaras nos matan,ja,ja,ja. A mi ya me costó encontrar la página que te comenté, porque con los drivers antiguos no iba ni para atrás.

He estado mirando el hilo que me comentas, y la verdad no entiendo lo que puede estar pasando.
Respecto de Camorama, a mi también me da el mismo error, pero con cheese funciona sin problemas.
Dos cosas he visto que igual hacen que la cámara no funcione:

1.- Para cargar el módulo has de ejecutar "sudo modprobe gspca_main".
2.- Me ha parecido leer que has instalado todo lo relativo a "v4l". Comprueba si por un casual también está instalado "v4l-dvb", o similar, porque creo que ese módulo es para tarjetas de televisión, e igual es el que te crea conflictos con la webcam.

A ver si lo conseguimos.

Un saludo.

+1
0
-1
Imagen de sunt
+1
0
-1

Hola niquitonipongo

1.- Para cargar el módulo has de ejecutar "sudo modprobe gspca_main".

No me devuelve nada, vuelve a aparecer el promt

Me ha parecido leer que has instalado todo lo relativo a "v4l". Comprueba si por un casual también está instalado "v4l-dvb", o similar, porque creo que ese módulo es para tarjetas de televisión, e igual es el que te crea conflictos con la webcam.

He buscado en synaptic y no encuentro nada con ese nombre, he mirado todas las entradas que llevan "v4l" y están instaladas, ninguna parece relativa a la televisión.

Ya no sé que hacer, lo dejaré por un tiempo y ya veremos, si se te ocurre algo o si yo lo resuelvo ya dejaré por aquí una nota.

Muchas gracias

+1
0
-1
Imagen de niquitonipongo
+1
0
-1

...y buenas noticias.
Las malas, que no consigo averiguar por qué no te monta el dispositivo en /dev/video0, que es lo que te impide que te funcione la webcam.

Las buenas, que he instalado,por probar, la version 11.10, y en mi caso, con una cámara distinta a la tuya, pero, ya sabes, con el mismo driver, me la ha cogido a la primera, sin necesidad de instalar drivers por mi cuenta ni nada, y desde el mismo live cd. Incluso con la instalación de camorama, funciona sin problemas.

Mira a ver si te interesa probar la versión 11.10, aunque sea en live cd, a ver si te la pilla con esta nueva versión.

Un saludo.

+1
0
-1
Imagen de shilfid
+1
0
-1

yo intente instalar el cabextart para poder usar el play on linux (tengo linux) y cunaod lo intento instalar me aparece esto make[1]: se ingresa al directorio `/home/alumno'
test -z "/usr/local/bin" || /bin/mkdir -p "/usr/local/bin"
/usr/bin/install -c cabextract '/usr/local/bin'
test -z "/usr/local/share/man/man1" || /bin/mkdir -p "/usr/local/share/man/man1"
/usr/bin/install -c -m 644 doc/cabextract.1 '/usr/local/share/man/man1'
make[1]: se sale del directorio `/home/alumno'
por favor ayuda

+1
0
-1